.multiselect {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  width: 100%;
  min-width: 10rem;
  height: var(--btn-height-regular);
  font-size: .875rem;
  line-height: 1.3;
  text-align: left;
  color: var(--color-main);
  touch-action: manipulation;
  outline: none;
  &.-invalid {
    .multiselect__tags {
      box-shadow: inset 0 0 0 1px var(--form-error-border-color);

      &:focus {
        // border: var(--form-border);
        box-shadow: inset 0 0 0 1px var(--form-focus-border-color);
      }
    }
  }
  &__placeholder {
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    margin: 0;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }

  &__tags {
    display: flex;
    align-items: center;
    padding: 0 2rem 0 .75rem;
    border-radius: .25rem;
    border: var(--form-border);
    background-color: var(--bg-main);
    box-shadow: var(--form-shadow);
  }

  &__select, &__clear {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.25rem;
    height: 100%;
    cursor: pointer;
    transition: transform 0.2s ease;

    .svg {
      fill: var(--fill-light);
    }
  }

  &__input {
    display: flex;
    padding: 0;
    margin: 0;
    height: 100%;
    max-width: 100%;
    font-size: inherit;
    border: none;
    background: none;
    outline: none;
    opacity: 1;
  }

  &__content-wrapper {
    position: absolute;
    top: 100%;
    z-index: 5;
    width: 100%;
    border: var(--form-border);
    border-top: none;
    border-radius: 0 0 0.25rem 0.25rem;
    background-color: var(--bg-main);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.11);
    overflow: hidden;
  }

  &__content {
    margin: 0;
    padding: 0;
    width: 100%;
    max-height: inherit;
    list-style: none;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }

  &__element {
    display: flex;
    align-items: center;
    width: 100%;
    height: auto;
    word-wrap: break-word;
    word-break: break-all;
    overflow-wrap: break-word;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    cursor: pointer;

    &:first-of-type {
      border-top: none;
    }
  }

  &__option {
    display: block;
    padding: 0.625rem 0.75rem;
    width: 100%;

    .option {
      &__desc {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;

        > .svg {
          flex-shrink: 0;
          opacity: 0;
          width: 0.75em;
          height: auto;
          fill: var(--color-main);
          margin: auto 0.5rem auto -0.25rem;
        }
      }
      &__title {
        flex-shrink: 1;
        width: 100%;
      }
      &__small {
        flex-shrink: 0;
        width: 30%;
        font-size: 0.875em;
        font-weight: var(--font-weight-bold);
        text-align: right;
        white-space: nowrap;
      }
    }
  }

  &__option:hover,
  &__option--selected {
    background-color: var(--form-bg-light);
  }

  &__option--selected {
    .option__desc > .svg {
      opacity: 1;
    }
  }

  &__single, &__tags {
    display: flex;
    align-items: center;
    max-width: 100%;
    height: 100%;
    text-align: left;
    color: var(--color-main);
    white-space: nowrap;
    overflow: hidden;
    touch-action: manipulation;

    &:focus, &:hover {
      outline: none;
    }
  }

  &__single-inner {
    display: block;
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  &&--active {
    z-index: 1;
    .multiselect {
      &__tags {
        box-shadow: inset 0 0 0 1px var(--form-focus-border-color);
      }

      &__select {
        transform: rotate(-180deg);
      }
    }
  }

  &&--selected {
    .multiselect {
      &__tags {
        background-color: var(--bg-lightest);
        &:after {
          content: "";
          position: absolute;
          right: 0.25rem;
          top: 0.25rem;
          bottom: 0.25rem;
          display: block;
          width: 3rem;
          background-image: linear-gradient(to left, var(--bg-lightest) 2rem, var(--bg-transparent));
        }
      }
    }
  }

  &&--disabled {
    .multiselect {
      color: var(--color-main-lightest);
      &__tags {
        background-color: var(--bg-lighten);
      }
      &__placeholder {
        color: var(--placeholder-disabled-color);
      }
    }
  }

  &.multiselectThemeSmall,
  &.multiselectThemeSmall.multiselect--selected {
    @media (min-width: 981px) and (max-width: 1200px) {
      height: var(--btn-height-regular);
    }
    @media screen and (min-width: 1201px) {
      height: var(--select-small-height);
      font-size: 0.75rem;

      .multiselect {
        &__option {
          padding-top: 0.5rem;
          padding-bottom: 0.5rem;
        }
        &__select, &__clear {
          width: 1.75rem;
          padding: 0;
          .svg {
            width: .5625rem;
            height: auto;
          }
        }
      }
    }
  }

  &.multiselectThemeHome,
    &.multiselectThemeHome.multiselect--selected {
      @media screen and (min-width: 981px) {
        height: var(--main-input-height);

        .multiselect {
          &__tags {
            box-shadow: none;
            border-color: transparent;
          }

          &__option {
            // padding-top: 0.5rem;
            // padding-bottom: 0.5rem;
          }

          &__select {
            .svg {
              flex-shrink: 0;
              display: block;
              width: auto;
              height: 0.3125rem;
              fill: var(--color-yellow);
            }
          }

          &__clear {
            .svg {
              flex-shrink: 0;
              display: block;
              width: auto;
              height: 0.5rem;
              fill: var(--color-yellow);
            }
          }
        }
      }
    }

  /* ONLY COLOR */

  &.multiselectThemeDarker,
  &.multiselectThemeDarker.multiselect--selected {
    .multiselect {
      &__tags {
        background-color: var(--bg-main);
      }

      &__tags, &__placeholder, &__input, &__single {
        color: var(--color-main-lightest);
      }

      &__select > .svg {
        fill: var(--color-main-lightest);
      }

      &__content-wrapper {
        border: none;
        background-color: var(--bg-lightest);
        box-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
      }

      &__option:hover,
      &__option--selected {
        background-color: var(--header-selected-bg);
      }

      &__element {
        border-top: none;
      }

    }

    &:hover {
      .multiselect {
        &__tags, &__placeholder, &__input, &__single {
          color: var(--color-main);
        }

        &__select > .svg {
          fill: var(--color-main);
        }
      }
    }

    &.multiselect--active {
      .multiselect {
        &__tags {
          background-color: var(--bg-lightest);
          border-right: 1px solid var(--border-color-lighten);
          border-left: 1px solid var(--border-color-lighten);
        }

        &__tags, &__placeholder, &__input, &__single {
          color: var(--color-main);
        }

        &__select > .svg {
          fill: var(--color-main);
        }
      }
    }
  }

  @media (min-width: 981px) and (max-width: 1200px) {
    height: var(--btn-height-medium);
  }

  @media screen and (max-width: 980px) {
    height: var(--btn-height-huge);

    &__option {
      padding-top: 1.25rem;
      padding-bottom: 1.25rem;
    }
  }
}

.selectGroup {
  display: flex;

  .multiselect {
    margin-right: -1px;
    .multiselect__tags {
      border-radius: 0;
    }
  }
  .multiselect:first-of-type {
    .multiselect__tags {
      border-top-left-radius: 0.25rem;
      border-bottom-left-radius: 0.25rem;
    }
  }

  .multiselect:last-of-type {
    .multiselect__tags {
      border-top-right-radius: 0.25rem;
      border-bottom-right-radius: 0.25rem;
    }
  }
}
